\section{\report{} June 12, 2020}
\label{sec:2020-06-12-section}

\subsection{Data I found}
\label{sec:2020-06-12-data-I-found}

\href{https://www.epicentro.iss.it/coronavirus/sars-cov-2-sorveglianza}{Sistema di sorveglianza integrata COVID-19} shows in \fg[ISS-management-suspected]{} the current management of suspected cases: it mirrors our FN model.

\begin{figure}[ht!]
\centering
\includegraphics[width=100mm]{img/2020-06-12/sorveglianza-gestione.png}
\caption{ISS management of suspected cases flowchart}
\label{fig:ISS-management-suspected}
\end{figure}

\subsection{Things I fixed}
\label{sec:2020-06-12-things-I-fixed}

\subsubsection{Overfitting problem on sub-model}
\label{sec:2020-06-12-fn-submodel-overfitting-fix}

To recapitulate let me describe what \ref{sec:2020-06-05-fitting-method} proposed.\\
Since we know $H_m, H_s, I_{cu}, R, D$ why not use real data to estimate the parameters connecting them? Then we can use this estimate to better the whole model. This would
\begin{itemize}
\item let us have a better initial \textit{guess} vector for the fitting of the whole model and thus do the fitting process more efficiently
\item not cause overfitting since the \textbf{same} data is being used
\end{itemize}
The chinese authors of \href{https://arxiv.org/abs/2002.06563}{Epidemic analysis of COVID-19 in China by dynamical modeling} state a different problem. Indeed
\begin{itemize}
\item they suggested to use simulated annealing to find $E, I$ from $Q$ \textbf{but} they also noted this would cause overfitting. We're not using it. We're using non-linear log least-square regression.
\item the relation between $E, I$ and $Q = H_{m} + H_{s} + I_{cu}$ is a major source of overfitting (if you try to estimate $E, I$ (unknown) from $Q$ (known) then you're in big trouble). We're trying to estimate $h$ (for instance) using $H_{m}$ (known) and $H_{s}$ (known). That's a whole different story.
\end{itemize}

\subsubsection{Hospitalization threshold}
\label{sec:2020-06-12-fn-hospitalization-threshold-fix}

Data \href{https://www.corriere.it/cronache/20_aprile_29/coronavirus-situazione-terapie-intensive-regione-regione-bf6ca9ac-8a52-11ea-94d3-9879860c12b6.shtml}{Corriere della Sera} uses are from both \textit{Ministero della Salute} and \textit{Protezione Civile}: we could try to retrieve this data but I think it will have the same errors as the Lombardy $I_{cu}$ data. Anyway I fixed the typos of \eq[2020-06-05.typo]{}. Let
\begin{itemize}
\item $M(t)$ the maximum number of $I_{cu}$ beds at time $t$
\item $A(t)$ the available number of $I_{cu}$ beds at time $t$
\item $B(t)$ the number of people moving into ICU at time $t$. In normal conditions this quantity would be $\it{m} \cdot H_{s}(t)$
\end{itemize}
We have

\begin{align}
A(t + 1) &= M(t + 1) - I_{cu}(t + 1) \\
&= M(t + 1) - \left( I_{cu}(t) + \frac{\mathrm{d} I_{cu}(t + 1)}{\mathrm{d} t} \right) \\
&= M(t + 1) - \left( I_{cu}(t) + B(t + 1) - (\it{o} + \it{p}) \cdot I_{cu}(t + 1) \right)
\end{align}
we require that $A(t) \ge 0 \text{ } \forall \text{ } t$ so solving for $B(t + 1)$
\begin{align}
B(t + 1) &= M(t + 1) - A(t + 1) - (I_{cu}(t) - (\it{o} + \it{p}) \cdot I_{cu}(t + 1)) \\
&=M(t + 1) - A(t + 1) - I_{cu}(t) + (\it{o} + \it{p}) \cdot I_{cu}(t + 1)
\end{align}
thus
\begin{align}
B(t + 1) = \begin{cases}
\it{m} \cdot H_{s}(t) &\text{if } A(t + 1) \ge 0\\
M(t + 1) - I_{cu}(t) + (\it{o} + \it{p}) \cdot I_{cu}(t + 1) &\text{else}
\end{cases}
\end{align}
so we require that

\begin{equation}
m'(t + 1) = \begin{cases}
m, &\text{if } A(t + 1) \ge 0\\
\frac{M(t + 1) - I_{cu}(t) + (\it{o} + \it{p}) \cdot I_{cu}(t + 1)}{H_{s}(t + 1)} &\text{else}
\end{cases}
\end{equation}
where $m'(t)$ is the fraction of people moving from $H_{s}$ to $I_{cu}$ at time $t$. Then we can express $B(t) = m'(t) \cdot H_{s}(t)$ without worrying that $A(t) < 0 \text{ for some } t$. Anyway I removed this feature from the code since too much (unknown) data is required.

\subsection{Things I did}
\label{sec:2020-06-12-things-I-did}

\subsubsection{FN on opening phase: social distancing}
\label{sec:2020-06-12-fn-opening-phase-social distancing}
The assumptions of the scenario are:

\begin{itemize}
  \item $E(0) = 0.1 \%$ of total population
  \item $P(0) = 70 \%$ of total population
  \item \no{} asymptomatics (undetected) is $20 \%$ of total positive
  \item \no{} undetected deaths is $10 \%$ of detected deaths (much less than during lockdown)
\item fitting period $= [2020-05-04, 2020-06-03]$ accounting for the offset period ($= 3$ days)
\end{itemize}
The parameters fit is shown in \tab[2020-06-12-fn-params-opening-phase-distancing]{}. \fg[fn-plot-opening-phase-distancing]{} shows the simulation.

\begin{table}[]
\centering
\begin{tabular}{|l|l|l|l|l|l|l|}
\hline
& \textbf{meaning} & \textbf{fit} & \textbf{lower bound} & \textbf{initial guess} & \textbf{upper bound} & \textbf{STD} \\ \hline
a & $S \longrightarrow P$ & 0.996079 & 0.500000 & 0.700000 & 1.000000 & 2.624443 \\ \hline
b & $S \longrightarrow E$ & 0.000010 & 0.000010 & 0.001000 & 0.010000 & 1.504028 \\ \hline
$\frac{1}{c}$ & $E \longrightarrow I_{u}$ & 12.000055 & 12.000000 & 13.000000 & 14.000000 & 0.703974 \\ \hline
$\frac{1}{d}$ & $I_{u} \longrightarrow R$ & 10.000000 & 10.000000 & 12.000000 & 14.000000 & 6.273230 \\ \hline
e & $I_{u} \longrightarrow H_{m}$ & 0.014157 & 0.000010 & 0.050000 & 1.000000 & 0.074901 \\ \hline
f & $I_{u} \longrightarrow H_{s}$ & 0.001735 & 0.000010 & 0.005000 & 0.010000 & 0.021192 \\ \hline
g & $I_{u} \longrightarrow D$ & 0.000240 & 0.000010 & 0.002500 & 0.004000 & 0.001242 \\ \hline
h & $H_{m} \longrightarrow H_{s}$ & 0.006988 & 0.000010 & 0.050000 & 0.100000 & 0.085103 \\ \hline
i & $H_{m} \longrightarrow R$ & 0.034678 & 0.000010 & 0.050000 & 0.100000 & 0.104319 \\ \hline
$\frac{1}{l}$ & $H_{s} \longrightarrow R$ & 14.363680 & 14.000000 & 21.000000 & 28.000000 & 0.602649 \\ \hline
m & $H_{s} \longrightarrow I_{cu}$ & 0.008288 & 0.000010 & 0.010000 & 0.020000 & 0.006360 \\ \hline
n & $H_{s} \longrightarrow D$ & 0.005672 & 0.000010 & 0.010000 & 0.020000 & 0.177284 \\ \hline
$\frac{1}{o}$ & $I_{cu} \longrightarrow R$ & 15.392367 & 12.000000 & 15.000000 & 18.000000 & 2.453485 \\ \hline
p & $I_{cu} \longrightarrow D$ & 0.100001 & 0.100000 & 0.200000 & 0.300000 & 2.449958 \\ \hline
\end{tabular}
\caption{Parameters guess and boundaries during opening phase: social distancing}
\label{tab:2020-06-12-fn-params-opening-phase-distancing}
\end{table}

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-06-12/social_distancing.jpg}
\caption{FN model simulation during opening phase: social distancing}
\label{fig:fn-plot-opening-phase-distancing}
\end{figure}

\subsubsection{FN on opening phase: totally free}
\label{sec:2020-06-12-fn-opening-phase-totally-free}
The assumptions of the scenario are:

\begin{itemize}
  \item $E(0) = 0.1 \%$ of total population
  \item $P(0) = 70 \%$ of total population
  \item \no{} asymptomatics (undetected) is $60 \%$ of total positive
  \item \no{} undetected deaths is $40 \%$ of detected deaths (just like during lockdown)
  \item fitting period $= [2020-05-04, 2020-06-03]$ accounting for the offset period ($= 3$ days)
\end{itemize}
The parameters fit is shown in \tab[2020-06-12-fn-params-opening-phase-free]{}. \fg[fn-plot-opening-phase-free]{} shows the simulation. \fg[fn-plot-opening-phase-vs]{} shows the comparisong of the two scenarios.

\begin{table}[]
\centering
\begin{tabular}{|l|l|l|l|l|l|l|}
\hline
& \textbf{meaning} & \textbf{fit} & \textbf{lower bound} & \textbf{initial guess} & \textbf{upper bound} & \textbf{STD} \\ \hline
a & $S \longrightarrow P$ & 0.299998 & 0.100000 & 0.200000 & 0.300000 & 2.347147 \\ \hline
b & $S \longrightarrow E$ & 0.900001 & 0.900000 & 0.950000 & 1.000000 & 1.593444 \\ \hline
$\frac{1}{c}$ & $E \longrightarrow I_{u}$ & 12.001013 & 12.000000 & 13.000000 & 14.000000 & 4.043185 \\ \hline
$\frac{1}{d}$ & $I_{u} \longrightarrow R$ & 10.000028 & 10.000000 & 12.000000 & 14.000000 & 4.430681 \\ \hline
e & $I_{u} \longrightarrow H_{m}$ & 0.002102 & 0.000010 & 0.050000 & 1.000000 & 0.037794 \\ \hline
f & $I_{u} \longrightarrow H_{s}$ & 0.000365 & 0.000010 & 0.005000 & 0.010000 & 0.006856 \\ \hline
g & $I_{u} \longrightarrow D$ & 0.000225 & 0.000010 & 0.002500 & 0.004000 & 0.004049 \\ \hline
h & $H_{m} \longrightarrow H_{s}$ & 0.000487 & 0.000010 & 0.050000 & 0.100000 & 0.037539 \\ \hline
i & $H_{m} \longrightarrow R$ & 0.039112 & 0.000010 & 0.050000 & 0.100000 & 0.029568 \\ \hline
$\frac{1}{l}$ & $H_{s} \longrightarrow R$ & 27.959928 & 14.000000 & 21.000000 & 28.000000 & 0.247452 \\ \hline
m & $H_{s} \longrightarrow I_{cu}$ & 0.011520 & 0.000010 & 0.010000 & 0.020000 & 0.008876 \\ \hline
n & $H_{s} \longrightarrow D$ & 0.003807 & 0.000010 & 0.010000 & 0.020000 & 0.194426 \\ \hline
$\frac{1}{o}$ & $I_{cu} \longrightarrow R$ & 17.995062 & 12.000000 & 15.000000 & 18.000000 & 2.626927 \\ \hline
p & $I_{cu} \longrightarrow D$ & 0.153999 & 0.100000 & 0.200000 & 0.300000 & 2.626683 \\ \hline
\end{tabular}
\caption{Parameters guess and boundaries during opening phase: totally free}
\label{tab:2020-06-12-fn-params-opening-phase-free}
\end{table}

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-06-12/totally_free.jpg}
\caption{FN model simulation during opening phase: totally free}
\label{fig:fn-plot-opening-phase-free}
\end{figure}

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-06-12/vs.png}
\caption{FN model simulation during opening phase: SD VS TF}
\label{fig:fn-plot-opening-phase-vs}
\end{figure}
